<?php
/*
Plugin Name: Q2W3 Debug
Plugin URI: http://www.q2w3.ru
Description: Zen Debugger campatibility patch for WordPress Dashboard
Version: 1.0
Author: Max Bond
Author URI: http://www.q2w3.ru/
License: GPL
*/

if (!is_admin()) return;

add_filter( 'print_admin_styles', 'q2w3_disable_style_concat', 10 );

function q2w3_disable_style_concat() {
	
	global $wp_styles;
	
	$styles = explode(',', $wp_styles->concat);
	
	foreach ($styles as $style) {
		
		if ($style) echo "<link type='text/css' rel='stylesheet' href='".$wp_styles->base_url.$wp_styles->default_dirs[0]."css/".$style.".css' media='all' />".PHP_EOL;
		
	}
	
	echo $wp_styles->print_html;
	
	return false;
	
}

?>